### Constructor

# Atspi DeviceA11yManager try_new_full

since: 2.55

#### Declaration [src]

    AtspiDeviceA11yManager*
    atspi_device_a11y_manager_try_new_full (
      const gchar* app_id
    )

#### Description

No description available.

Available since: 2.55

#### Parameters

`app_id`

  Type: `const gchar*`

  The app id Tries to create a new `AtspiDeviceA11yManager` with the given app id.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `AtspiDeviceA11yManager`

A pointer to a newly-created `AtspiDeviceA11yManager` if it could establish the required DBus connection, NULL otherwise.

The caller of the function takes ownership of the data, and is responsible for freeing it.